Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604924 - Add video/webm with extension webm to mime.types
Add video/webm with extension webm to mime.types
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mailcap (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 610793
  Show dependency treegraph
 
Reported: 2010-06-16 22:37 EDT by Gregory Maxwell
Modified: 2010-07-13 03:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: mailcap-2.1.33-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 610793 (view as bug list)
Environment:
Last Closed: 2010-07-13 03:36:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Maxwell 2010-06-16 22:37:15 EDT
The new webm multimedia format needs its mime type set in mime.types.

video/webm			webm

is the correct type and extension: http://www.webmproject.org/code/specs/container/

This is important because the paranoid security measures in modern browsers won't allow them to play webm files which are served with the wrong mime-type. So the sooner fedora picks up the type the sooner it will be easy to make these files work on fedora running webservers.
Comment 1 Ville Skyttä 2010-06-17 02:30:55 EDT
Because it looks like an official and not a private ("x-") MIME type, I've been waiting for it to be properly registered in IANA.  For some reason it hasn't appeared there yet.  Have you by chance contacted the webm folks to ask why?

http://www.iana.org/assignments/media-types/
Comment 2 Ville Skyttä 2010-06-28 15:52:53 EDT
http://code.google.com/p/webm/issues/detail?id=15
Comment 3 Fedora Update System 2010-07-03 07:45:40 EDT
mailcap-2.1.33-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mailcap-2.1.33-1.fc13
Comment 4 Fedora Update System 2010-07-06 13:25:09 EDT
mailcap-2.1.33-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mailcap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mailcap-2.1.33-1.fc13
Comment 5 Fedora Update System 2010-07-13 03:36:42 EDT
mailcap-2.1.33-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.